Bug 15153 - Missing SMB2-GETINFO access checks from MS-SMB2 3.3.5.20.1
Summary: Missing SMB2-GETINFO access checks from MS-SMB2 3.3.5.20.1
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: unspecified
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-22 14:43 UTC by Ralph Böhme
Modified: 2022-09-07 19:02 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.15, 4.16 and 4.17 cherry-picked from master (14.58 KB, patch)
2022-09-05 09:37 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2022-08-22 14:43:23 UTC
Have patch, need bugnumber.
Comment 1 Samba QA Contact 2022-08-23 12:55:04 UTC
This bug was referenced in samba master:

66e40690bdd41800a01333ce4243bd62ee2b1894
9b2d28157107602fcbe659664cf9ca25f08bb30b
6d493a9d568c08cfe5242821ccbd5a5ee1fe5284
Comment 2 Ralph Böhme 2022-09-05 09:37:40 UTC
Created attachment 17512 [details]
Patch for 4.15, 4.16 and 4.17 cherry-picked from master
Comment 3 Jule Anger 2022-09-06 06:27:54 UTC
Pushed to autobuild-v4-{17,16,15}-test.
Comment 4 Samba QA Contact 2022-09-06 07:32:05 UTC
This bug was referenced in samba v4-15-test:

41131daece9f84157aec4ac118b50483385485cc
3e4d6d272136dc15d957b4249db696f73920c32e
77d1d989d1c8077f11a788153909d06eeca68acd
Comment 5 Samba QA Contact 2022-09-06 08:09:03 UTC
This bug was referenced in samba v4-17-test:

771aad3baa0e9b7fbfbe4f8775a088a76b01a091
5fff2048a4745378122fcd16201a1639b123ef6f
f3886349ec38bd6133ec16110ce168972ee24dcf
Comment 6 Samba QA Contact 2022-09-06 08:50:18 UTC
This bug was referenced in samba v4-16-test:

d89294ecfc72b6e238e969fd7a3938a8df1cf058
6e091cc59ac1021e66832dc5041cfb2880513482
bc81ebe3e393767c4275c6fb5a50599b00f858c4
Comment 7 Samba QA Contact 2022-09-06 14:26:05 UTC
This bug was referenced in samba v4-17-stable (Release samba-4.17.0rc5):

771aad3baa0e9b7fbfbe4f8775a088a76b01a091
5fff2048a4745378122fcd16201a1639b123ef6f
f3886349ec38bd6133ec16110ce168972ee24dcf
Comment 8 Jule Anger 2022-09-06 14:33:36 UTC
Closing out bug report.

Thanks!
Comment 9 Samba QA Contact 2022-09-07 19:02:58 UTC
This bug was referenced in samba v4-16-stable (Release samba-4.16.5):

d89294ecfc72b6e238e969fd7a3938a8df1cf058
6e091cc59ac1021e66832dc5041cfb2880513482
bc81ebe3e393767c4275c6fb5a50599b00f858c4